#ifndef C3DTEXT__H
#define C3DTEXT__H

#include "../App/EngineH.h"

#include <gl\gl.h>			
#include <gl\glu.h>			
#include <gl\glaux.h>

const int TEXT_OPAKOVANI = 1;

class C_3D_TEXT
{
private :
	int _smycka;
	int _max_citac;
	int _citac;
	int _num_pismeno;
	int _ink_z;
	GLuint	texture_id[1];			
	GLuint	base;			

public :
	C_3D_TEXT();
	~C_3D_TEXT();

public :
	void print3dText(char *string);
	void Build3dText(HWND hWnd);
	void GrabTexture(UINT textureId) {texture_id[0] = textureId;}

};


#endif //C3DTEXT__H